<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class TransactionIdTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('transaction_id')
            ->label('شناسه تراکنش')
            ->sortable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
